AtteanX::RDFQueryTranslator(3pm)

NAME
AtteanX::RDFQueryTranslator - Translate RDF::Query objects to Attean::API::Algebra objects.

VERSION
This document describes AtteanX::RDFQueryTranslator version 0.012

DESCRIPTION
The AtteanX::RDFQueryTranslator class translates RDF::Query objects into an Attean::API::Algebra tree.

ATTRIBUTES

"base"

METHODS
"has_base"
"translate_query( $query )"
    Returns an algebra object for the given RDF::Query object.

"translate( $algebra )"
    Returns an algebra object for the given RDF::Query::Algebra, RDF::Query::Expression, or RDF::Query::Node object.

"translate_expr( $algebra )"
    Returns an expression object for the given RDF::Query::Expression object.

"translate_pattern( $algebra )"
    Translate expression, algebra, or node in a non-expression context.

"translate_path( $path )"
    Translate a node or property path into an equivalent property path algebra.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.